\documentclass{scrreprt}[12pt,a4paper]
\usepackage[fontsize=12pt]{fontsize}
\usepackage[automark, headsepline, plainheadsepline]{scrlayer-scrpage}
\ihead{\rightmark} \setkomafont{pagehead}{\normalfont\slshape}
\chead{}
\ohead{}

\renewcommand*{\chapterpagestyle}{scrheadings}
\setkomafont{disposition}{\normalcolor\bfseries}

\usepackage{geometry}
\geometry{
  top=3.2cm,   
  bottom=3.2cm,
  left=3cm,
  right=2cm,
  footskip=1cm,
  headheight=1.5cm,       
  headsep=5ex,
}

\usepackage{layouts}
\usepackage{pdfpages}

\RedeclareSectionCommand[
  beforeskip=-.0\baselineskip,
  afterskip=.2\baselineskip]{chapter} 
\RedeclareSectionCommand[
  beforeskip=-.63\baselineskip,
  afterskip=.2\baselineskip]{section}
\RedeclareSectionCommand[
  beforeskip=-.63\baselineskip,
  afterskip=.2\baselineskip]{subsection}

% Packages

\usepackage[format=plain]{caption}

\usepackage[utf8]{inputenc}
\usepackage{authblk}
\usepackage{xspace}

\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amssymb}
\usepackage{amsfonts}

\usepackage{mathtools}
\DeclarePairedDelimiter\ceil{\lceil}{\rceil}
\DeclarePairedDelimiter\floor{\lfloor}{\rfloor}

\usepackage{graphicx}
\graphicspath{ {./Images} }
\usepackage{flafter}

\usepackage{tabularx}
\newcolumntype{Y}{>{\centering\arraybackslash}X}

\usepackage[pdfencoding=auto, psdextra, hidelinks]{hyperref}
\hypersetup{
pdftitle={The Postdoc Problem with Reservation Costs},
pdfauthor={Christian Mürtz},
pdfkeywords={Bachelorthesis}
}

\usepackage{setspace}

\usepackage{chngcntr}
\counterwithin*{equation}{section}
\counterwithin*{equation}{subsection}

\usepackage{algorithm}
\usepackage{algpseudocode}

\usepackage{datetime}
\newdateformat{monthyeardate}{\monthname[\THEMONTH] \THEYEAR}

\usepackage{tikz}

\usepackage{appendix, apptools}


% Metadata
\title{The Postdoc Problem with Reservation Costs}
\author{Christian Mürtz}
\date{\today}

% Environments
\newtheorem{theorem}{Theorem}
\numberwithin{theorem}{section}

\newtheorem{lemma}{Lemma}
\newtheorem*{lemma*}{Lemma}
\numberwithin{lemma}{section}

\newtheorem{strategy}{Strategy}

% Number sets
\newcommand{\N}{\mathbb{N}}
\newcommand{\Z}{\mathbb{Z}}
\newcommand{\Q}{\mathbb{Q}}
\newcommand{\R}{\mathbb{R}}
\newcommand{\C}{\mathbb{C}}
% Star to cdot
\DeclareMathSymbol{*}{\mathbin}{symbols}{"01}

\input{Glossaries.tex}

\makeglossaries
\makeatletter

% \raggedbottom